Bug 885992 - CCS/CCP failed when port argument is used
CCS/CCP failed when port argument is used
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-wallaby-tools (Show other bugs)
Development
Unspecified Unspecified
low Severity high
: 2.3
: ---
Assigned To: Robert Rati
Lubos Trilety
: Regression
Depends On:
Blocks: 802510
  Show dependency treegraph
 
Reported: 2012-12-11 04:25 EST by Lubos Trilety
Modified: 2013-03-19 12:38 EDT (History)
4 users (show)

See Also:
Fixed In Version: condor-wallaby-tools-5.0.5-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-19 12:38:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubos Trilety 2012-12-11 04:25:01 EST
Description of problem:
condor_configure_store/pool ends with error when port argument is used

e.g.
# ccs --port 5672 --list-all-groups
/usr/lib/ruby/1.8/optparse.rb:325:in `match': can't convert Fixnum into String (TypeError)
	from /usr/lib/ruby/1.8/optparse.rb:325:in `parse_arg'
	from /usr/lib/ruby/1.8/optparse.rb:454:in `parse'
	from /usr/lib/ruby/1.8/optparse.rb:1295:in `parse_in_order'
	from /usr/lib/ruby/1.8/optparse.rb:1254:in `catch'
	from /usr/lib/ruby/1.8/optparse.rb:1254:in `parse_in_order'
	from /usr/lib/ruby/1.8/optparse.rb:1248:in `order!'
	from /usr/lib/ruby/1.8/optparse.rb:1339:in `permute!'
	from /usr/lib/ruby/1.8/optparse.rb:1360:in `parse!'
	from /usr/lib/ruby/site_ruby/1.8/mrg/grid/config/shell.rb:144:in `main'
	from /usr/lib/ruby/site_ruby/1.8/condor_wallaby/ccs.rb:161:in `main'
	from /usr/sbin/condor_configure_store:19

Version-Release number of selected component (if applicable):
condor-wallaby-tools-5.0.4-1

How reproducible:
100%

Steps to Reproduce:
see above
  
Actual results:


Expected results:


Additional info:
Comment 2 Robert Rati 2012-12-11 14:01:08 EST
Fixed upstream on:
BZ885992-port-arg
Comment 4 Lubos Trilety 2013-01-10 08:14:00 EST
Tested with:
condor-wallaby-tools-5.0.5-1

Tested on:
RHEL6 i386,x86_64
RHEL5 i386,x86_64

port argument is working

# ccs --port 5672 --list-all-groups
Console Connection Established...
the default group +++DEFAULT
the skeleton group +++SKEL

# ccp --port 5672 --list-all-groups
Console Connection Established...
the default group +++DEFAULT
the skeleton group +++SKEL

>>> verified

Note You need to log in before you can comment on or make changes to this bug.